Loading...
Searching...
No Matches
bwValues.h File Reference
`#include <inttypes.h>`

Go to the source code of this file.

## Data Structures

struct | bwRTreeNode_t
| A node within an R-tree holding the index for data. More...
struct | bwRTree_t
struct | bwOverlapBlock_t
| This structure holds the data blocks that overlap a given interval. More...
struct | bwDataHeader_t
| The header section of a given data block. More...

## Typedefs

typedef struct bwRTreeNode_t | bwRTreeNode_t
| A node within an R-tree holding the index for data.

## Detailed Description

You should not directly use functions and structures defined here. They're really meant for internal use only.

All of the structures here need to be destroyed or you'll leak memory! There are methods available to destroy anything that you need to take care of yourself.

## Typedef Documentation

## bwRTreeNode_t

typedef struct bwRTreeNode_t bwRTreeNode_t

A node within an R-tree holding the index for data.

Note that there are two types of nodes: leaf and twig. Leaf nodes point to where data actually is. Twig nodes point to additional index nodes, which may or may not be leaves. Each of these nodes has additional children, which may span multiple chromosomes/contigs.

With the start/end position, these positions refer specifically to the chromosomes specified in chrIdxStart/chrIdxEnd. Any chromosomes between these are completely spanned by a given child.